curl \
--request POST \
--url "https://api.breeze.blue/v1/voice-previews/gvi_01hpreview/save" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"voice_name": "Brand Narrator"
}'import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
voice = client.voices.save_preview(
generated_voice_id="gvi_01hpreview",
voice_name="Brand Narrator",
language_code="en",
)
print(voice["voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const voice = await client.voices.savePreview({
generatedVoiceId: "gvi_01hpreview",
voiceName: "Brand Narrator",
languageCode: "en",
});
console.log(voice.voiceId);{
"voice_id": "<string>",
"name": "<string>",
"origin": "<string>",
"language_code": "af",
"gender": "male",
"age": "child",
"tone": [
"warm"
],
"accent": "american",
"tags": [
"<string>"
],
"is_favorited": false,
"preview_url": "<string>",
"description": "<string>",
"created_at_unix": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Save voice preview
Save a generated preview as a private voice. Voice Metadata values are stable lowercase codes; tone accepts up to three distinct codes. language_code is required. accent is available only for en and zh and must match language_code.
curl \
--request POST \
--url "https://api.breeze.blue/v1/voice-previews/gvi_01hpreview/save" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"voice_name": "Brand Narrator"
}'import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
voice = client.voices.save_preview(
generated_voice_id="gvi_01hpreview",
voice_name="Brand Narrator",
language_code="en",
)
print(voice["voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const voice = await client.voices.savePreview({
generatedVoiceId: "gvi_01hpreview",
voiceName: "Brand Narrator",
languageCode: "en",
});
console.log(voice.voiceId);{
"voice_id": "<string>",
"name": "<string>",
"origin": "<string>",
"language_code": "af",
"gender": "male",
"age": "child",
"tone": [
"warm"
],
"accent": "american",
"tags": [
"<string>"
],
"is_favorited": false,
"preview_url": "<string>",
"description": "<string>",
"created_at_unix": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Designing a voice
Design a voice
Convert text to speech
Authorizations
Breeze Developer API key.
Path Parameters
Preview ID returned by a voice preview creation endpoint. See Saving a preview.
Body
Stable gender code, or null when not classified. See Metadata options.
male, female, neutral Stable age code, or null when not classified. See Metadata options.
child, young, middle_aged, old Zero to three distinct stable tone codes. See Metadata options.
3warm, calm, bright, gentle, energetic, authoritative, sincere, weary, precise, refined, urgent, friendly, articulate, steady, playful, compassionate, reflective, measured, rhythmic, passionate Stable accent code, or null. Valid only for en or zh and must match language_code. See Metadata options, accent codes.
american, british, scottish, irish, australian, canadian, us_southern, us_new_york, indian, south_african, russian, japanese, korean, chinese, mandarin_northeastern, mandarin_shaanxi, mandarin_shanghai, mandarin_sichuan, mandarin_henan, mandarin_beijing, mandarin_taiwan, cantonese Display name, up to 80 characters. Clone previews default to their preview name; Remix previews default to the source voice name. Required for other preview types.
80Optional description stored with the saved voice. Remix previews default to the source description; an empty string clears it.
1000Required saved audio language. Use a supported language code. See supported language codes.
af, ar, bg, bn, bs, ca, cs, da, de, el, en, es, et, eu, fa, fi, fr, gl, he, hi, hu, id, is, it, ja, kn, ko, lt, mr, ms, ne, nl, no, pl, pt, ro, ru, sk, sl, sq, sv, sw, ta, te, th, tl, tr, uk, ur, vi, zh Tags stored with the saved voice. Spelling is preserved; matching and deduplication ignore case. See Tags and favorites.
20128Response
Saved voice.
af, ar, bg, bn, bs, ca, cs, da, de, el, en, es, et, eu, fa, fi, fr, gl, he, hi, hu, id, is, it, ja, kn, ko, lt, mr, ms, ne, nl, no, pl, pt, ro, ru, sk, sl, sq, sv, sw, ta, te, th, tl, tr, uk, ur, vi, zh male, female, neutral child, young, middle_aged, old 3warm, calm, bright, gentle, energetic, authoritative, sincere, weary, precise, refined, urgent, friendly, articulate, steady, playful, compassionate, reflective, measured, rhythmic, passionate american, british, scottish, irish, australian, canadian, us_southern, us_new_york, indian, south_african, russian, japanese, korean, chinese, mandarin_northeastern, mandarin_shaanxi, mandarin_shanghai, mandarin_sichuan, mandarin_henan, mandarin_beijing, mandarin_taiwan, cantonese, mandarin_guangdong, mandarin_yunnan 20128
